/*
 * lf3.h
 * Header file for programs dealing with Leaf LF3 format.
 * 02/05/2000 by TF <tf@imou.to>
*/

#ifndef ___INCLUDE_LF3_H
#define ___INCLUDE_LF3_H

#include <stdio.h>

typedef struct {
  int width;
  int height;
  int xoffset;
  int yoffset;
  int unknown;         /* unknown, yet */
  int size;            /* the size of image */
  int *image;
} LF3;

extern void free_lf3(LF3 *);

extern LF3 *read_lf3(char *);
extern LF3 *read_lf3_from_data(int *data, int size);
#endif
